Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - d -

- d : faiss::Clustering , faiss::Index , faiss::ProductQuantizer , faiss::ScalarQuantizer
- d_out : faiss::VectorTransform
- data() : faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, SubDim, PtrTraits > , faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- data_ : faiss::gpu::GpuIndexFlat , faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, SubDim, PtrTraits >
- dataAs() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, 0, PtrTraits > , faiss::gpu::detail::SubTensor< TensorType, SubDim, PtrTraits >
- decode() : faiss::ScalarQuantizer , faiss::ProductQuantizer
- decode_multiple() : faiss::IndexIVFPQ
- device : faiss::gpu::GpuIndexConfig
- device_ : faiss::gpu::GpuIndex , faiss::gpu::StackDeviceMemory::Stack , faiss::gpu::StackDeviceMemory
- deviceListData_ : faiss::gpu::IVFBase
- deviceListDataPointers_ : faiss::gpu::IVFBase
- deviceListIndexPointers_ : faiss::gpu::IVFBase
- deviceListLengths_ : faiss::gpu::IVFBase
- DeviceTensor() : faiss::gpu::DeviceTensor< T, Dim, Contig, IndexT, PtrTraits >
- dim_ : faiss::gpu::IVFBase
- display() : faiss::Index , faiss::ParameterSpace , faiss::OperatingPoints
- distances : faiss::RangeSearchResult
- do_allocation() : faiss::RangeSearchResult
- do_polysemous_training : faiss::IndexPQ , faiss::IndexIVFPQ
- downcastInner() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- downcastOuter() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- dsub : faiss::ProductQuantizer